Package org.eclipse.birt.core.template

# Class TextTemplate.Node

java.lang.Object
org.eclipse.birt.core.template.TextTemplate.Node

Direct Known Subclasses:
  `TextTemplate.ImageNode`, `TextTemplate.TextNode`, `TextTemplate.ValueNode`

Enclosing class:
  `TextTemplate`

public abstract static class TextTemplate.Node extends Object

## Constructor Summary

Constructors
Constructor
Description
`Node()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`accept(TextTemplate.Visitor visitor, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Node

public Node()

## Method Details

### accept

public abstract void accept(TextTemplate.Visitor visitor, Object value)